## dns-browse 1.6

=== Makefile ===
# Generated automatically from Makefile.in by configure.

#
# Makefile
# $Id: Makefile.in,v 1.5 1997/12/04 20:10:58 johnh Exp $
#

TOSHAR=README dns_browse dns_tree \
	Makefile.in configure configure.in install-sh release
PACKAGE=dns_browse

INSTALL = /opt/local/bin/install -c
prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin

WISH = /opt/local/bin/wish
PERL = /opt/local/bin/perl

install:
	{ echo "#!$(WISH) -f"; cat dns_browse; } >t
	$(INSTALL) -m 755 t $(bindir)/dns_browse
	{ echo "#!$(PERL) -w"; cat dns_tree; } >t
	$(INSTALL) -m 755 t $(bindir)/dns_tree

.tar_files: Makefile release
	for i in $(TOSHAR); \
	do \
		echo ./$(PACKAGE)-`cat release`/$$i; \
	done >.tar_files	

tar: .tar_files
	ln -s . ./$(PACKAGE)-`cat release`
	tar cvf - `cat .tar_files` >$(PACKAGE)-`cat release`.tar
	rm ./$(PACKAGE)-`cat release`

tar.gz: .tar_files
	ln -s . ./$(PACKAGE)-`cat release`
	tar cvf - `cat .tar_files` |gzip >$(PACKAGE)-`cat release`.tar.gz
	rm ./$(PACKAGE)-`cat release`

## dns-browse 1.9

=== debian/changelog ===
dns-browse (1.9-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Port to DebSrc3.0 (quilt)
  * debian/rules: port to debhelper 12 and use dh (Closes: #999143)
    - add debian/clean to clean generated manpages.
    - add debian/dns-browse.manpages to install manpages.
    - remove debian/compat
    - debian/control: build-depends on debhelper-compat (Closes: #965494)
    - add debian/dns-browse.docs to install README.
  * debian/control: dns-browse depends on ${misc:Depends}
  * debian/control: Priority: extra -> optional

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 09 Dec 2022 01:28:05 +0800

dns-browse (1.9-8.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:40:53 +0100

dns-browse (1.9-8) unstable; urgency=low

  * Fix FTBFS with upcoming Tcl/Tk changes (Closes: #724979)
    Replaced build dependency on tk8.5 by tk to fix FTBFS after Tcl/Tk +
    packages droped alternatives for /usr/bin/wish.
    (Thanks to Sergei Golovan for providing a patch for this)
  * debian/control:
       - Update maintainer name using proper UTF-8 encoding
       - Remove useless ${perl:Depends}
  * debian/rules:
       - Replace dh_clean -k with dh_prep
  * dns_tree: Meaningful error if the program fails because it cannot
      do a zone transfer
  * dns_browse: Adjust properly the size font (it looked huge previously)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 31 Oct 2013 02:40:32 +0100

dns-browse (1.9-7) unstable; urgency=low

  * Add docbook-to-man to the Build-Dependencies (Closes: #618248)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 14 Mar 2011 00:08:31 +0100

dns-browse (1.9-6) unstable; urgency=low

  * Move Homepage: to a debian/control header (Closes: #615288)
  * Update dependency on wish, use 'tk8.5 | wish' instead of 'tk8.4 | wish'
  * dns_browse:
      - Add '-h' command line switch to print usage
      - Catch the event when the window cannot be generated (when not running
        out of an X display)
  * dns_browse:
      - '-h' now prints the usage just like '-?' does
  * Add manpages for dns_browse and dns_tree (Closes: #196396).
  * debian/copyright: convert to UTF-8
  * Remove debian/README.Debian as the bug mentioned has been fixed years
    ago.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 27 Feb 2011 10:44:57 +0100

dns-browse (1.9-5) unstable; urgency=low

  * Depend on tk8.4 | wish, not tcl (Closes: #413657) 
  * Use debhelper compatibility version 5
  * Make the Makefile.in just dump install the scripts not add the perl/wish 
    header to the scripts. Fix the scripts so that they have a proper header
  * Upgrade to latest policy (no changes needed)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 27 Aug 2007 19:57:26 +0200

dns-browse (1.9-4) unstable; urgency=low

  * Removed obsolete tk8.0 version from Depends: and added tcl8.4
  instead as requeted by Chris Waters (tcl/tk maintainer). 
  (Closes: #262237)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 30 Jul 2004 14:43:27 +0200

dns-browse (1.9-3) unstable; urgency=low

  * Added notice in README.Debian, this package might not work properly
    with latest bind's 9 dnsutils (version 9.2 at the time of writing).
    If this bug is not fixed I might need to ask the ftp masters to 
    remove the package from the archive. 
  * Modified dns_tree to use the multilines options when asking
    for SOA information. This is necessary since dig version 9.2 (unlike 9.1)
    does not use multilines unless explicitly requested to do so.
    (Closes: #161441)
  * Added debug output to dns_tree in order to check what it is really
    executing (more information than verbose)
  * Removed calls to old check_root and check_dir and use debhelper
    fully now
  * Added an install target in debian/rules
  * Fixed lintian errors:
         - debian/copyright redirects to /usr/share/common-licenses
         - added tk8.0 dependancies (it works with tk4.0 but since
          it's not in the archive anymore I'm taking the lowest
          version which provides wish in unstable) as well as 
         virtual packaging
         - removed '.' from the Description: line

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  6 Jun 2003 20:37:19 +0200

dns-browse (1.9-2) unstable; urgency=low

  * Added Build-Depends (Closes: #195295)
  * Moved from non-US to net section
  * Added Homepage to debian/control
  * Removed call to dh_undocumented

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  1 Jun 2003 15:50:59 +0200

dns-browse (1.9-1) unstable; urgency=low

  * New upstream the release (includes the bug fixed in previous one)
  * Added a check for the $HOME environment just in case

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 14 May 2002 09:47:28 +0200

dns-browse (1.8-4) unstable; urgency=high

  * Fixed dns_tree so that it both uses the user home directory.
  (Closes: #146591)
  * Changed section: non-US to section: non-us.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 13 May 2002 10:27:49 +0200

dns-browse (1.8-3) unstable; urgency=high

  * Moved to non-US since dig is now only available there (grrr) (Closes #123638)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 13 Dec 2001 11:29:29 +0100

dns-browse (1.8-2) unstable; urgency=low

  * Added Build-Depends
  * Now depends on ${perl} as per perl policy (Closes: #104590)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Sep 2001 23:46:38 +0200

dns-browse (1.8-1) unstable; urgency=low

  * New upstream release (fixes bug sent by Chris L. Mason)
  * Now depends on dnsutils, and depends on perl5 for some time (Closes: #41499)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  4 Mar 2001 11:40:59 +0100

dns-browse (1.7-1) unstable; urgency=low



=== debian/control ===
Source: dns-browse
Section: net
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 12), autoconf, tk, docbook-to-man
Standards-Version: 3.7.2
Homepage: http://www.isi.edu/~johnh/SOFTWARE/DNS/

Package: dns-browse
Architecture: all
Depends: tk, dnsutils, ${misc:Depends}
Description: Front-ends to DNS search
 This package provides two programs to make user lookups on DNS
 servers: dns_tree and dns_browse.
 .
 dns_tree is a command-line-based front-end to dig.  It replaces the
 several dig invocations necessary to fetch a zone, and it formats the
 output in a somewhat sensible hierarchical style (a tree).
 . 
 dns_browse is a GUI front-end to dns_tree.  It allows point-and-click
 DNS browsing and makes it easy to expand/compress hierarchies in one
 or more DNS zones.

=== debian/rules ===
#!/usr/bin/make -f

package=dns-browse

%:
	dh $@

override_dh_auto_build: debian/dns_browse.1 debian/dns_tree.1

debian/dns_browse.1: debian/dns_browse.sgml
	docbook-to-man debian/dns_browse.sgml >debian/dns_browse.1

debian/dns_tree.1: debian/dns_tree.sgml
	docbook-to-man debian/dns_tree.sgml >debian/dns_tree.1

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
